<style type="text/css">
	.series-desc {
    right: 10%;
}
</style>


<section class="one-item-display">
 
	 <div class="container-fluid" style="clear: both">
  	<div class="mx-3 d-block" style="clear: both;">
[posts ids="{{posts}}" container_class="mix-display"]
  <div class="col-4 mb-4 px-4 d-inline-block" style="vertical-align: top;">
      <div class="ep-img h-4">
      [image id="{{post.featuredImage}}" container_class="w-100 h-100" background="1"][/image]
      </div>
      <div class="archives-desc">
        <h2>{{post.title}}</h2>
        <button class="btn btn-play py-1 my-3 d-block" data-mp3-url="{{post.podcast|podcast_url}}"><i id="play" class="fas fa-play mx-1"></i>18:30 | Écouter </button>
        <div class="excerpt-heightz">[excerpt length="60"] {{post.excerpt}}[/excerpt]</div>
      </div>
  </div>
  [/posts]
</div>  

  </div>
</section>


<script type="text/javascript">
		function changeStyle(el){
		$(el).addClass('item')
		$(el).find('.ep-img').addClass('h-100')
		$(el).css('background', 'none')
		$(el).find('.archives-desc').addClass('series-desc')
		$(el).prepend('<div class="black-layer h-100" style="width: 91%;"></div>')
		}
		function changeStyle2(el){
		$(el).addClass('item')
		$(el).addClass('col-8')
		$(el).find('.ep-img').addClass('h-100')
		$(el).css('background', 'none')
		$(el).find('.archives-desc').addClass('series-desc')
		$(el).prepend('<div class="black-layer h-100" style="width: 95.7%;"></div>')
		}
		function changeStyle3(el){
		$(el).addClass('item')
		$(el).addClass('col-12')
		$(el).find('.ep-img').addClass('h-100')
		$(el).css('background', 'none')
		$(el).find('.archives-desc').addClass('series-desc')
		$(el).prepend('<div class="black-layer h-100" style="width: 97%;"></div>')
		}
	
	$(document).ready(function(){
		if ($(".mix-display .col-4").length==2) {
		changeStyle2($(".mix-display .col-4:nth-child(1)"));
		} else 
		if ($(".mix-display .col-4").length==1) {
		changeStyle3($(".mix-display .col-4:nth-child(1)"));
		} else{
		changeStyle($(".mix-display .col-4:nth-child(3)"));
		changeStyle2($(".mix-display .col-4:nth-child(4)"));
		}
	})
	
</script>